Genivia - xenc__EncryptedKeyType Struct Reference

|  | Home | Documentation | xenc__EncryptedKeyType Struct Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
xenc__EncryptedKeyType Struct Reference

"http://www.w3.org/2001/04/xmlenc#":EncryptedKeyType is a complexType with complexContent extension of "http://www.w3.org/2001/04/xmlenc#":EncryptedType. More...

`#include <xenc.h>`

Collaboration diagram for xenc__EncryptedKeyType:
[legend]

## Public Attributes
struct xenc__EncryptionMethodType * | EncryptionMethod
_ds__KeyInfo * | ds__KeyInfo
| Imported element reference "http://www.w3.org/2000/09/xmldsig#":KeyInfo. More...
struct xenc__CipherDataType * | CipherData
| Element reference "http://www.w3.org/2001/04/xmlenc#":CipherData. More...
struct xenc__EncryptionPropertiesType * | EncryptionProperties
| Element reference "http://www.w3.org/2001/04/xmlenc#":EncryptionProperties. More...
char * | Id
| Attribute Id of type xs:ID. More...
char * | Type
| Attribute Type of type xs:anyURI. More...
char * | MimeType
| Attribute MimeType of type xs:string. More...
char * | Encoding
| Attribute Encoding of type xs:anyURI. More...
struct _xenc__ReferenceList * | ReferenceList
| Element reference "http://www.w3.org/2001/04/xmlenc#":ReferenceList. More...
char * | CarriedKeyName
| Element CarriedKeyName of type xs:string. More...
char * | Recipient
| Attribute Recipient of type xs:string. More...

## Detailed Description

"http://www.w3.org/2001/04/xmlenc#":EncryptedKeyType is a complexType with complexContent extension of "http://www.w3.org/2001/04/xmlenc#":EncryptedType.

## Member Data Documentation

char* xenc__EncryptedKeyType::CarriedKeyName

Element CarriedKeyName of type xs:string.

Optional element.

struct xenc__CipherDataType* xenc__EncryptedKeyType::CipherData

Element reference "http://www.w3.org/2001/04/xmlenc#":CipherData.

Required element.

_ds__KeyInfo* xenc__EncryptedKeyType::ds__KeyInfo

Imported element reference "http://www.w3.org/2000/09/xmldsig#":KeyInfo.

Optional element.

char* xenc__EncryptedKeyType::Encoding

Attribute Encoding of type xs:anyURI.

Optional attribute.

struct xenc__EncryptionMethodType* xenc__EncryptedKeyType::EncryptionMethod

INHERITED FROM xenc__EncryptedType: Element EncryptionMethod of type "http://www.w3.org/2001/04/xmlenc#":EncryptionMethodType. Optional element.

struct xenc__EncryptionPropertiesType* xenc__EncryptedKeyType::EncryptionProperties

Element reference "http://www.w3.org/2001/04/xmlenc#":EncryptionProperties.

Optional element.

char* xenc__EncryptedKeyType::Id

Attribute Id of type xs:ID.

Optional attribute.

char* xenc__EncryptedKeyType::MimeType

Attribute MimeType of type xs:string.

Optional attribute.

char* xenc__EncryptedKeyType::Recipient

Attribute Recipient of type xs:string.

Optional attribute.

struct _xenc__ReferenceList* xenc__EncryptedKeyType::ReferenceList

Element reference "http://www.w3.org/2001/04/xmlenc#":ReferenceList.

Optional element.

char* xenc__EncryptedKeyType::Type

Attribute Type of type xs:anyURI.

Optional attribute.

The documentation for this struct was generated from the following file:

- xenc.h